<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Завод</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id FROM domik WHERE strana ='$re1[strana]' and domik7='2'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="zavod.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_7 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[tan]+$ox[sam]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"<a href='zavod.php?make=1&der=$key'>Техника</a>[$re2[puh]][$re2[tan]][$re2[sam]]<br/>";
echo"<a href='zavod.php?make=2&der=$key'>Параметры техники</a><br/>";
break;
case 2:
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
if(empty($_GET[k])){
echo"Пушки :<br/>
атака ($re2[puh1]) <a href='zavod.php?make=2&k=1&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=2&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[puh2]) <a href='zavod.php?make=2&k=3&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=4&der=$key'>[<b>-</b>]</a><br/>";
echo"Танки :<br/>
атака ($re2[tan1]) <a href='zavod.php?make=2&k=5&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=6&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[tan2]) <a href='zavod.php?make=2&k=7&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=8&der=$key'>[<b>-</b>]</a><br/>";
echo"Самолёты :<br/>
атака ($re2[sam1]) <a href='zavod.php?make=2&k=9&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=10&der=$key'>[<b>-</b>]</a><br/>
защита ($re2[sam2]) <a href='zavod.php?make=2&k=11&der=$key'>[<b>+</b>]</a>/<a href='zavod.php?make=2&k=12&der=$key'>[<b>-</b>]</a><br/>";

}
if($_GET[k]==1){
$a=(($re2[puh1]+1)*$re2[puh1])*(50*$re2[puh1]);
if($re2[metal]>=$a){
$y=$re2[puh1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',puh1=puh1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==2){
$a=(($re2[puh1]-1)*$re2[puh1])*(24*$re2[puh1]);
if($re2[puh1]!=1){
$y=$re2[puh1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',puh1=puh1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==3){
$a=(($re2[puh2]+1)*$re2[puh2])*(55*$re2[puh2]);
if($re2[metal]>=$a){
$y=$re2[puh2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',puh2=puh2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==4){
$a=(($re2[puh2]-1)*$re2[puh2])*(27*$re2[puh2]);
if($re2[puh2]!=1){
$y=$re2[puh2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',puh2=puh2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==5){
$a=(($re2[tan1]+1)*$re2[tan1])*(60*$re2[tan1]);
if($re2[metal]>=$a){
$y=$re2[tan1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',tan1=tan1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==6){
$a=(($re2[tan1]-1)*$re2[tan1])*(30*$re2[tan1]);
if($re2[tan1]!=1){
$y=$re2[tan1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',tan1=tan1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==7){
$a=(($re2[tan2]+1)*$re2[tan2])*(70*$re2[tan2]);
if($re2[metal]>=$a){
$y=$re2[tan2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',tan2=tan2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==8){
$a=(($re2[tan2]-1)*$re2[tan2])*(35*$re2[tan2]);
if($re2[tan2]!=1){
$y=$re2[tan2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',tan2=tan2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==9){
$a=(($re2[sam1]+1)*$re2[sam1])*(75*$re2[sam1]);
if($re2[metal]>=$a){
$y=$re2[sam1]+1;
echo"Атака $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',sam1=sam1+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==10){
$a=(($re2[sam1]-1)*$re2[sam1])*(37*$re2[sam1]);
if($re2[sam1]!=1){
$y=$re2[sam1]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Атака $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',sam1=sam1-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
if($_GET[k]==11){
$a=(($re2[sam2]+1)*$re2[sam2])*(80*$re2[sam2]);
if($re2[metal]>=$a){
$y=$re2[sam2]+1;
echo"Защита $y,затрачено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal-'$a',sam2=sam2+'1' WHERE strana='$re1[strana]'");}else{
echo"Недостаточно железа!требуется ($a)<br/>";}
}
if($_GET[k]==12){
$a=(($re2[sam2]-1)*$re2[sam2])*(40*$re2[sam2]);
if($re2[sam2]!=1){
$y=$re2[sam2]-1;
if($x>$a){$x=$x-$a;}else{$a=$x;$x=0;}if($a<0){$a=0;}
echo"Защита $y,возвращено железа $a<br/>";
qw("UPDATE gos2 SET metal=metal+'$a',sam2=sam2-'1' WHERE strana='$re1[strana]'");}else{
echo"Достигнут минимальный параметр<br/>";}
}
break;
case 1:
$sp=mysql_fetch_array(qw("SELECT * FROM kmb WHERE strana ='$re1[strana]' and voin>'3'"));
$u1=time();$u2=$sp[time]-$u1;
if($sp[data]>$u2){
$sec = $u2;
$min = floor($sec/60);$sec-=$min*60;
echo"{Идёт производство}(<b>$min м. $sec c.</b>)<br/>";
}else{
if(empty($_GET[k])){
echo"Свободная техника :<br/>";
if($re2[puh]>0){echo"Пушки ($re2[puh])<br/>";}
if($re2[tan]>0){echo"Танки ($re2[tan])<br/>";}
if($re2[sam]>0){echo"Самолёты ($re2[sam])<br/>";}

echo"<a href='zavod.php?make=1&k=1&der=$key'>Произвести</a><br/><a href='zavod.php?make=1&k=3&der=$key'>Разобрать</a><br/>";
}
if($_GET[k]==1){
echo'<FORM ACTION="zavod.php?make=1&k=2&der='.$key.'" METHOD="POST">';?>
Сколько :<br/>
<input format='*N' name='rab'/><br/>
Ученые (<?echo"$re2[bot]";?>):<br/>
<input format='*N' name='bot'/><br/>
Тип войск:<br/>
<select name="voin">
<option value="1">Пушки</option>
<?if($re2[land]>=8000){?><option value="2">Танки</option><?}?>
<?if($re2[land]>=12000){?><option value="3">Самолёты</option><?}?>
</select><br/><input type="submit" value="Обучить">
 </FORM><?
}
if($_GET[k]==2){
$e1=zif($_POST[rab]);$e2=zif($_POST[bot]);
if($re2[bot]>=$e2){
switch($_POST[voin]){
case 1:$kto='пушки';if($re0[izo]!=1){echo"<img src='../../izo/puha.png'>";}
$den=68;$met=18;$zer=6;$kam=34;$der=25;$nef=6;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=1000;$m=4;$q6=$nef*$e1;
break;
case 2:$kto='танки';if($re0[izo]!=1){echo"<img src='../../izo/tank.png'>";}
if($re2[land]<8000){$f=1;}else{
$den=85;$met=20;$zer=12;$kam=40;$der=30;$nef=10;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=1200;$m=5;$q6=$nef*$e1;}
break;
case 3:$kto='самолёты';if($re0[izo]!=1){echo"<img src='../../izo/sam.png'>";}
if($re2[land]<12000){$f=1;}else{
$den=90;$met=32;$zer=18;$kam=45;$der=35;$nef=14;$q1=$den*$e1;$q2=$met*$e1;$q3=$zer*$e1;$q4=$kam*$e1;$q5=$der*$e1;$h=1400;$m=6;$q6=$nef*$e1;}
break;}
if($re2[dengi]>=$q1 and $re2[metal]>=$q2 and $re2[zerno]>=$q3 and $re2[kamen]>=$q4 and $re2[derevo]>=$q5 and $re2[neft]>=$q6){
$ty=round(($e1*$h)/$e2);$yt=round($ty/60);$tim1=time();$tim2=$tim1+$ty;
echo"Производство займёт $yt минут,<br/>Стоимость :Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Нефть ($q6),Зерно ($q3)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Производство займёт $yt минут ($kto)($e1)')");
if($f!=1){
qw("INSERT INTO kmb (strana,rab,voin,bot,data,time) VALUES('$re1[strana]','$e1','$m','$e2','$ty','$tim2')");
qw("UPDATE gos2 SET bot=bot-'$e2',dengi=dengi-'$q1',metal=metal-'$q2',kamen=kamen-'$q4',derevo=derevo-'$q5',neft=neft-'$q6',zerno=zerno-'$q3' WHERE strana='$re1[strana]'");
}else{header("Location: zavod.php?make=1&der=$key");}}else{
echo"Не хватает ресурсов,нужно :<br/>Деньги ($q1),Железо ($q2),Камень ($q4),Дерево ($q5),Нефть ($q6),Зерно ($q3)<br/>";}}else{echo"Нет столько учёных!<br/>";}}
if($_GET[k]==3){
if($re2[puh]>0 or $re2[tan]>0 or $re2[sam]>0){
echo"<FORM ACTION='zavod.php?make=1&k=4&der=$key' METHOD='POST'>";?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Разобрать'></FORM><br/><?
}else{echo"Нет свободной техники<br/>";}
}
if($_GET[k]==4){
if($re2[puh]>0 or $re2[tan]>0 or $re2[sam]>0){
$puh=zif($_POST[puh]);$tan=zif($_POST[tan]);$sam=zif($_POST[sam]);
if($re2[puh]>=$puh and $re2[tan]>=$tan and $re2[sam]>=$sam){$nef=(3*$puh)+(5*$tan)+(7*$sam);
$den=(34*$puh)+(42*$tan)+(45*$sam);$met=(9*$puh)+(10*$tan)+(16*$sam);$kam=(17*$puh)+(20*$tan)+(22*$sam);
$der=(12*$puh)+(15*$tan)+(17*$sam);$zer=(3*$puh)+(6*$tan)+(9*$sam);
/////////////////////////////////////////////////
$w1=mysql_fetch_array(qw("SELECT sum(kolvo)as a FROM rynok WHERE strana='$re1[strana]'"));
$sp=mysql_fetch_array(qw("SELECT res,ryn FROM domik WHERE strana ='$re1[strana]'"));
$x=$sp[res]-($re2[metal]+$re2[kamen]+$re2[derevo]+$re2[neft]+$re2[zerno]+$w1[a]);
////////////////////////////////////////////////
if($x>$met){$x=$x-$met;}else{$met=$x;$x=0;}if($met<0){$met=0;}
if($x>$kam){$x=$x-$kam;}else{$kam=$x;$x=0;}if($kam<0){$kam=0;}
if($x>$nef){$x=$x-$nef;}else{$nef=$x;$x=0;}if($nef<0){$nef=0;}
if($x>$der){$x=$x-$der;}else{$der=$x;$x=0;}if($der<0){$der=0;}
if($x>$zer){$x=$x-$zer;}else{$zer=$x;$x=0;}if($zer<0){$zer=0;}
qw("UPDATE gos2 SET dengi=dengi+'$den',metal=metal+'$met',kamen=kamen+'$kam',derevo=derevo+'$der',neft=neft+'$nef',zerno=zerno+'$zer',
puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam' WHERE strana='$re1[strana]'");
echo"Техника разобрана,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),нефть($nef),зерно($zer)<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('21','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Техника разобрана,вы получили :<br/>деньги($den),железо($met),камень($kam),дерево($der),Нефть ($nef),зерно($zer)')");
}else{echo"Нет столько техники<br/>";}
}else{echo"Нет свободной техники<br/>";}
}

}
break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_7 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Самолёты ($ox[sam])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='zavod.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='zavod.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='zavod.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Самолёты:<br/><input type="text" name="sam" maxlength="4" value="<?=$re2[sam];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[sam]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: zavod.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[sam]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[sam]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',sam=sam-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_7 SET peh=peh+'$a1',sam=sam+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: zavod.php?make=oxp&der=$key");
}else{header("Location: zavod.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='zavod.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Самолёты:<br/><input type="text" name="sam" maxlength="4" value="<?=$ox[sam];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[sam]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: zavod.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[sam]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_7 SET peh=peh-'$a1',sam=sam-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',sam=sam+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: zavod.php?make=oxp&der=$key");
}else{header("Location: zavod.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>